package kz.arta.synergy.workflow.mobile.android.works.models;

import java.io.Serializable;

/**
 * Created by neox on 20.03.15.
 * Информация о результате завершения работы
 */
public class ResultWorkItem implements Serializable {

    /**
     * Идентификатор результата завершения
     */
    private String resultID;

    /**
     * Файл либо комментарий
     */
    private String is_file;

    /**
     * Тип формы заврешения
     */
    private String type;

    /**
     * Комментарий оставленный при завершении
     */
    private String comment;

    /**
     * Имя пользователя оставивший комментарий
     */
    private String user_name;

    /**
     * Дата создания комментария
     */
    private String created;

    /**
     * Имя файла
     */
    private String file_name;

    /**
     * URL до иконки
     */
    private String file_icon;

    /**
     * Идентификатор файла по форме
     */
    private String fileUUID;

    /**
     * Идентификатор данных по форме
     */
    private String dataUUID;

    /**
     * Дополнительная информация
     */
    private CompletionResultItem.AdditionalParams[] additional_params;

    public CompletionResultItem.AdditionalParams[] getAdditional_params() {
        return additional_params;
    }

    public void setAdditional_params(CompletionResultItem.AdditionalParams[] additional_params) {
        this.additional_params = additional_params;
    }

    public String getDataUUID() {
        return dataUUID;
    }

    public void setDataUUID(String dataUUID) {
        this.dataUUID = dataUUID;
    }

    public String getResultID() {
        return resultID;
    }

    public void setResultID(String resultID) {
        this.resultID = resultID;
    }

    public String getIs_file() {
        return is_file;
    }

    public void setIs_file(String is_file) {
        this.is_file = is_file;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getUser_name() {
        return user_name;
    }

    public void setUser_name(String user_name) {
        this.user_name = user_name;
    }

    public String getCreated() {
        return created;
    }

    public void setCreated(String created) {
        this.created = created;
    }

    public String getFile_name() {
        return file_name;
    }

    public void setFile_name(String file_name) {
        this.file_name = file_name;
    }

    public String getFile_icon() {
        return file_icon;
    }

    public void setFile_icon(String file_icon) {
        this.file_icon = file_icon;
    }

    public String getFileUUID() {
        return fileUUID;
    }

    public void setFileUUID(String fileUUID) {
        this.fileUUID = fileUUID;
    }
}
